Bug 1273794 - Errors in different language
Errors in different language
Status: CLOSED DUPLICATE of bug 1199992
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
:
Depends On:
Blocks: 1122832
  Show dependency treegraph
 
Reported: 2015-10-21 05:13 EDT by Peter Vreman
Modified: 2015-10-30 09:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 09:12:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vreman 2015-10-21 05:13:09 EDT
Description of problem:
With a clean and fresh installed Sat6.1.3 some error messges are still in a different language than the configured English.

Below error is in French instead of English:

2015-10-21 07:20:13 [E] ERF12-4115 [ProxyAPI::ProxyException]: Impossible d'obtenir les classes Puppet pour KT_Hilti_Library_hg_crash
_18 ([Errno::ECONNREFUSED]: Connection refused - connect(2)) pour le proxy https://li-lc-1017.hag.hilti.com:9090/puppet (ProxyAPI::Pr
oxyException)
/usr/share/foreman/lib/proxy_api/puppet.rb:27:in `rescue in classes'
/usr/share/foreman/lib/proxy_api/puppet.rb:21:in `classes'
/usr/share/foreman/app/services/puppet_class_importer.rb:155:in `actual_classes'
/usr/share/foreman/app/services/puppet_class_importer.rb:78:in `new_classes_for'
/usr/share/foreman/app/services/puppet_class_importer.rb:39:in `changes'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.73/app/services/katello/puppet_class_importer_extensions.rb:22:in `update_envi
ronment'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.73/app/lib/katello/foreman.rb:36:in `update_puppet_environment'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.73/app/lib/actions/katello/foreman/content_update.rb:43:in `finalize'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.7.9/lib/dynflow/action.rb:509:in `block (2 levels) in execute_finalize'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Stop foreman-proxy
2. Import puppet classes
3.

Actual results:
Error message not in English

Expected results:
Error message in English

Additional info:
Comment 1 Brad Buckingham 2015-10-30 09:12:41 EDT

*** This bug has been marked as a duplicate of bug 1199992 ***

Note You need to log in before you can comment on or make changes to this bug.